FreeMat

- Main Page
- Related Pages

vtkEdgeCenters

Section: Visualization Toolkit Infovis Classes

# Usage

vtkEdgeCenters is a filter that takes as input any graph and generates on output points at the center of the cells in the dataset. These points can be used for placing glyphs (vtkGlyph3D) or labeling (vtkLabeledDataMapper). (The center is the parametric center of the cell, not necessarily the geometric or bounding box center.) The edge attributes will be associated with the points on output.

To create an instance of class vtkEdgeCenters, simply invoke its constructor as follows

      obj = vtkEdgeCenters

# Methods

The class vtkEdgeCenters has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkEdgeCenters class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkEdgeCenters = obj.NewInstance ()`
- `vtkEdgeCenters = obj.SafeDownCast (vtkObject o)`
- `obj.SetVertexCells (int )` - Enable/disable the generation of vertex cells.
- `int = obj.GetVertexCells ()` - Enable/disable the generation of vertex cells.
- `obj.VertexCellsOn ()` - Enable/disable the generation of vertex cells.
- `obj.VertexCellsOff ()` - Enable/disable the generation of vertex cells.